UbuntuUpdates.org

Package "grub2"

Name: grub2

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • GRand Unified Bootloader (common files)
  • GRand Unified Bootloader, version 2 (dummy package)
  • GRand Unified Bootloader, version 2 (EFI-IA32 version)
  • GRand Unified Bootloader, version 2 (EFI-IA32 binaries)

Latest version: 2.02-2ubuntu8.25
Release: bionic (18.04)
Level: security
Repository: main

Links



Other versions of "grub2" in Bionic

Repository Area Version
base main 2.02-2ubuntu8
base universe 2.02-2ubuntu8
security universe 2.02-2ubuntu8.25
updates universe 2.02-2ubuntu8.25
updates main 2.02-2ubuntu8.25
PPA: Mint Upstream 2.02~beta2-36ubuntu3.9+linuxmint1
PPA: Mint Upstream 2.02~beta2-36ubuntu3.14+linuxmint1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 2.02-2ubuntu8.25 2022-11-30 15:06:24 UTC

  grub2 (2.02-2ubuntu8.25) bionic; urgency=medium

  [ Colin Watson ]
  * Move kernel maintainer script snippets into grub2-common (thanks,
    Bastian Blank; closes: #910959) (LP: #1995751)

 -- Julian Andres Klode <email address hidden> Tue, 15 Nov 2022 12:13:43 +0100

Source diff to previous version
1995751 update to 2.04-1ubuntu47.4 drops zz-update-grub
910959 grub-cloud-amd64: missing Conflicts: grub-coreboot, grub-efi-ia32, grub-ieee1275, grub-xen

Version: 2.02-2ubuntu8.23 2021-06-18 00:06:21 UTC

  grub2 (2.02-2ubuntu8.23) bionic; urgency=medium

  [ Dimitri John Ledkov & Steve Langasek ]
  * Relax dependencies to allow grub-efi be installed with later versions
    of grub-efi-amd64. Stop building grub-efi-amd64|arm64{-bin,dbg}
    packages, now provided by src:grub2-unsigned. LP: #1915536

  [ Dimitri John Ledkov ]
  * Cherrypick 2.02+dfsg1-5 patch for x86-64: Treat R_X86_64_PLT32 as
    R_X86_64_PC32 to allow processing 2.04 grub modules built with newer
    binutils.

 -- Dimitri John Ledkov <email address hidden> Wed, 24 Feb 2021 19:47:47 +0000

Source diff to previous version

Version: 2.02-2ubuntu8.17 2020-08-04 20:06:35 UTC

  grub2 (2.02-2ubuntu8.17) bionic; urgency=medium

  * debian/postinst.in: Avoid calling grub-install on upgrade of the grub-pc
    package, since we cannot be certain that it will install to the correct
    disk and a grub-install failure will render the system unbootable.
    LP: #1889556.

 -- Steve Langasek <email address hidden> Thu, 30 Jul 2020 18:49:49 -0700

1889556 grub-install failure does not fail package upgrade (and does not roll back to matching modules)



About   -   Send Feedback to @ubuntu_updates